All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.expr.olap
Class TimeFilterExpression

    com.sas.iquery.metadata.expr.olap.TimeFilterExpression

All Implemented Interfaces:
  Base, BusinessModelResourceReferencer, ModelItem, UsabilityInterface, ExpressionInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

Direct Known Subclasses:
  TimeFilterFirstLastPeriodsExpression, TimeFilterNParallelPeriodsExpression, TimeFilterNPeriodsExpression

    public abstract class TimeFilterExpression

Models an expression that filters a data item based on time members and time function arguments submitted. It is the superclass for all time-based filtering operations.

See the `ConditionalExpression` class for a description of the organization of of ConditionalExpression classes.

See Also:
  `com.sas.iquery.metadata.business.step.olap.DataTimeFilter`

Field Summary
`static java.lang.String` | `BACKWARD` This indicates a search direction of filtering going backward in time.
`static java.lang.String` | `EVENT_NPERIODS_CHANGED` Deprecated. use EVENT_PERIODS_CHANGED
`static java.lang.String` | `EVENT_PERIODS_CHANGED` Indicates a change in number of periods
`static java.lang.String` | `EVENT_SEARCH_DIRECTION_CHANGED` Change Event Message Strings
`static java.lang.String` | `FORWARD` This indicates a search direction of filtering going forward in time.

Fields inherited from class com.sas.iquery.metadata.expr.olap.BaseFilterExpression
`EVENT_WHAT_TO_COMPARE_CHANGED`

Fields inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`EVENT_NEGATION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Constructor Summary
`TimeFilterExpression()`

Method Summary
`java.lang.String` | `getMemberLevelRoot()` Get the highest member level in the member that has been selected.
`int` | `getnPeriods()` Deprecated. use getPeriods
`ExpressionInterface` | `getPeriods()` Get number of periods
`java.lang.String` | `getSearchDirection()` Get search direction
`boolean` | `isNegated()` ConditionalExpression which is inherited by this class has a isNegated.
`void` | `setIsNegated(boolean flag)` ConditionalExpression which is inherited by this class has a isNegated.
`void` | `setnPeriods(int nPeriods)` Deprecated. use setPeriods
`void` | `setPeriods(ExpressionInterface periods)` Set number of periods to return (negative values are not allowed)
`void` | `setSearchDirection(java.lang.String searchDirection)` Set which direction to retrieve members

Methods inherited from class com.sas.iquery.metadata.expr.olap.BaseFilterExpression
`getDisplayedText, getLevels, getWhatToCompare, setWhatToCompare`

Methods inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`getExpressionType`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Field Detail

*** This field is subject to change. ***

### EVENT_SEARCH_DIRECTION_CHANGED

    public static final java.lang.String EVENT_SEARCH_DIRECTION_CHANGED

  Change Event Message Strings

  See Also:
    Constant Field Values

*** This field is subject to change. ***

### EVENT_PERIODS_CHANGED

    public static final java.lang.String EVENT_PERIODS_CHANGED

  Indicates a change in number of periods

  See Also:
    Constant Field Values

*** This field is subject to change. ***

### EVENT_NPERIODS_CHANGED

    public static final java.lang.String EVENT_NPERIODS_CHANGED

  Deprecated. use EVENT_PERIODS_CHANGED
  Indicates a change in number of periods

  See Also:
    Constant Field Values

*** This field is subject to change. ***

### FORWARD

    public static final java.lang.String FORWARD

  This indicates a search direction of filtering going forward in time.

  See Also:
    Constant Field Values

*** This field is subject to change. ***

### BACKWARD

    public static final java.lang.String BACKWARD

  This indicates a search direction of filtering going backward in time.

  See Also:
    Constant Field Values

Constructor Detail

### TimeFilterExpression

    public TimeFilterExpression()

Method Detail

*** This method is subject to change. ***

### setnPeriods

    public void setnPeriods(int nPeriods)

  Deprecated. use setPeriods

  Set number of periods to return (negative values are not allowed)

  Parameters:
    `nPeriods` - number of periods being return in query.

*** This method is subject to change. ***

### getMemberLevelRoot

    public java.lang.String getMemberLevelRoot()

  Get the highest member level in the member that has been selected.

  Returns:
    memberLevelRoot

*** This method is subject to change. ***

### setPeriods

    public void setPeriods(ExpressionInterface periods)

  Set number of periods to return (negative values are not allowed)

  Parameters:
    `periods` - number of periods being return in query.

*** This method is subject to change. ***

### isNegated

    public boolean isNegated()

  ConditionalExpression which is inherited by this class has a isNegated. However, this class does not use negation, therefore this overridden method will always return false.

  Overrides:
    `isNegated` in class `ConditionalExpression`
  Returns:
    whether expression is negated

*** This method is subject to change. ***

### setIsNegated

    public void setIsNegated(boolean flag)

  ConditionalExpression which is inherited by this class has a isNegated. However, this class does not use negation, therefore this method is not supported

  Overrides:
    `setIsNegated` in class `ConditionalExpression`
  Parameters:
    `flag` - boolean indicating if this expression is negated

*** This method is subject to change. ***

### setSearchDirection

    public void setSearchDirection(java.lang.String searchDirection)
                            throws java.lang.IllegalArgumentException

  Set which direction to retrieve members

  Parameters:
    `set` - path of processing - either BACKWARD or FORWARD in time
  Throws:
    `java.lang.IllegalArgumentException`

*** This method is subject to change. ***

### getnPeriods

    public int getnPeriods()

  Deprecated. use getPeriods

  Get number of periods

  Returns:
    number of periods being processed in the query.

*** This method is subject to change. ***

### getPeriods

    public ExpressionInterface getPeriods()

  Get number of periods

  Returns:
    number of periods being processed in the query.

*** This method is subject to change. ***

### getSearchDirection

    public java.lang.String getSearchDirection()

  Get search direction

  Returns:
    either FORWARD or BACKWARD

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.